package net.sf.itcb.common.portlet.vaadin.exception;

import net.sf.itcb.common.portlet.vaadin.PageMappingProcessor;

/**
 * This interface has to be implemented for each ExceptionHandler
 * @author Pierre Le Roux
 *
 */
public abstract class ExceptionHandler {
	
	/**
	 * Handle an exception using the panel in parameter
	 * @param e the exception
	 * @param pageMappingProcessor the pageMappingProcessor
	 */
	public abstract void handleException(Throwable e, PageMappingProcessor pageMappingProcessor);
}
